Bug 105093 - ODF export to PDF, embedded video is not handled
Summary: ODF export to PDF, embedded video is not handled
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-04 10:10 UTC by Miklos Vajna
Modified: 2017-03-10 18:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Minimal reproducer (206.18 KB, application/vnd.oasis.opendocument.presentation)
2017-01-04 10:10 UTC, Miklos Vajna
Details
Minimal PDF (192.04 KB, application/pdf)
2017-01-04 10:11 UTC, Miklos Vajna
Details
Impress bugdoc with presentation:class="object" (211.25 KB, application/vnd.oasis.opendocument.presentation)
2017-01-04 16:31 UTC, Miklos Vajna
Details
Writer reproducer. (203.75 KB, application/vnd.oasis.opendocument.text)
2017-01-05 09:18 UTC, Miklos Vajna
Details
How i see in okular (592.11 KB, image/png)
2017-03-10 09:36 UTC, Gülşah Köse
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2017-01-04 10:10:02 UTC
Created attachment 130143 [details]
Minimal reproducer

This is a follow-up of bug 104841. The difference is that in this case the bugdoc contains an embedded video, not a linked one.
Comment 1 Miklos Vajna 2017-01-04 10:11:31 UTC
Created attachment 130144 [details]
Minimal PDF

Minimal manually constructed PDF, run it through 'pdftk in.pdf output out.pdf' to add the somewhat redundant, but needed file offsets at the end of the file.

PDF export should produce something like this.
Comment 2 Commit Notification 2017-01-04 16:28:21 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ad249af88d15f2c8a09f0721a59d82718fcc201

tdf#105093 sd PDF export: handle embedded videos

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Miklos Vajna 2017-01-04 16:31:20 UTC
Created attachment 130152 [details]
Impress bugdoc with presentation:class="object"

In case the <draw:frame> element has a presentation:class="object" attribute, then the video is still not exported.
Comment 4 Commit Notification 2017-01-05 09:00:15 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=64d80d22851a38eb3f320f4e2b2bdf875da4d8b4

Related: tdf#105093 sd PDF export: handle css.presentation.MediaShape as well

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Miklos Vajna 2017-01-05 09:18:23 UTC
Created attachment 130164 [details]
Writer reproducer.

While embedded videos now work in Impress, they are still missing in Writer.
Comment 6 Commit Notification 2017-01-05 15:35:30 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46153bdcf2f89e88607dfb0dd0003108796424e9

Related: tdf#105093 sw PDF export: handle embedded videos

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-02-27 15:37:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=64bac5c0f005afd46bbf402c5d548e2ee6c9e5c4

tdf#105093 vcl PDF export: add embedded video testcase

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Gülşah Köse 2017-03-10 09:36:06 UTC
Created attachment 131789 [details]
How i see in okular

1 - Download test.odt
2 - Open with Writer
3 - Export as PDF
4 - Open test.pdf with okular

Actual: Video is not playeble.

I don't know that is bug cause from LibreOffice or okular and hesitated change bug status.

My system info:
Ubuntu 16.10
LibreOfficeDev 5.4.0.0.alpha0 6f20dd1815c633c371aa69ffd696e620b0bc8657
Qt: 4.8.7
Okular: 0.25.0
Comment 9 Timur 2017-03-10 18:38:50 UTC
Tested in Windows. 5.3 didn't export media, 5.4+ exports it. Although simple PDF viewer doesn't recognize it in my case, only Adobe Reader does. Even that one complains I don't have media player, but I guess it's some problem with that. 
So I set Verified. But if proved otherwise in Linux, feel free....